vcs-rhel6_x86_64-VRTSvxfen-60RP1P1
Obsolete

 Basic information
Release type: P-patch
Release date: 2012-04-13
OS update support: None
Technote: None
Documentation: None
Popularity: 1365 viewed    43 downloaded
Download size: 913.92 KB
Checksum: 3193306296

 Applies to one or more of the following products:
VirtualStore 6.0 On RHEL6 x86-64
Cluster Server 6.0 On RHEL6 x86-64
Storage Foundation Cluster File System 6.0 On RHEL6 x86-64
Storage Foundation for Oracle RAC 6.0 On RHEL6 x86-64
Storage Foundation HA 6.0 On RHEL6 x86-64

 Obsolete patches, incompatibilities, superseded patches, or other requirements:

This patch is obsolete. It is superseded by: Release date
>
vcs-rhel6_x86_64-VRTSvxfen-60RP1P2 (obsolete) 2012-05-16

This patch requires: Release date
sfha-rhel6_x86_64-6.0RP1 2012-03-22

 Fixes the following incidents:
2708639

 Patch ID:
VRTSvxfen-6.0.001.100-RP1P1_RHEL6

Readme file
                          * * * READ ME * * *
               * * * Veritas Cluster Server 6.0 RP1 * * *
                         * * * P-patch 1 * * *
                         Patch Date: 2012-04-13


This document provides the following information:

   * PATCH NAME
   * PACKAGES AFFECTED BY THE PATCH
   * BASE PRODUCT VERSIONS FOR THE PATCH
   * OPERATING SYSTEMS SUPPORTED BY THE PATCH
   * INCIDENTS FIXED BY THE PATCH
   * INSTALLATION PRE-REQUISITES
   * INSTALLING THE PATCH
   * REMOVING THE PATCH


PATCH NAME
----------
Veritas Cluster Server 6.0 RP1 P-patch 1


PACKAGES AFFECTED BY THE PATCH
------------------------------
VRTSvxfen


BASE PRODUCT VERSIONS FOR THE PATCH
-----------------------------------
   * Veritas Cluster Server 6.0
   * Veritas Storage Foundation for Oracle RAC 6.0
   * Veritas Storage Foundation Cluster File System 6.0
   * Veritas Storage Foundation High Availability 6.0
   * Symantec VirtualStore 6.0
   * Veritas Storage Foundation for Sybase ASE CE 6.0


OPERATING SYSTEMS SUPPORTED BY THE PATCH
----------------------------------------
RHEL6 x86-64


INCIDENTS FIXED BY THE PATCH
----------------------------
This patch fixes the following Symantec incidents:

Patch ID: 6.0.001.100

* 2708639 (Tracking ID: 2708619)

SYMPTOM:
If you set the scsi3_disk_policy attribute to dmp, you cannot enable the Veritas
fencing module (VxFEN).

DESCRIPTION:
When you set the scsi3_disk_policy attribute to dmp, the VxFEN module tries to
use the dmp device path to access the coordination disks. The dmp device path
refers to a disk partition. A recent kernel security fix prohibits the SCSI
ioctl system call to disk partitions. As a result the VxFEN configuration fails.
The recent kernel security fix that prohibits system calls to disk partitions is:
752375 - CVE-2011-4127 kernel: possible privilege escalation via SG_IO ioctl

RESOLUTION:
Symantec has updated the VxFEN source code to pick up the dmp device path that
contains the full disk name instead of a partition/slice.


INSTALLING THE PATCH
--------------------
Perform the following steps on each cluster node, one node at a time:

1. Stop VCS:
# hastop -local

2. Stop vxfen:
# /etc/init.d/vxfen stop

3. Apply the patch:
# rpm -Uvh VRTSvxfen-6.0.001.100-RP1P1_RHEL6.x86_64

Verify that proper VRTSvxfen is installed:
# rpm -qi VRTSvxfen
Name        : VRTSvxfen                    Relocations: (not relocatable)
Version     : 6.0.001.100                       Vendor: Symantec Corporation
Release     : RP1P1_RHEL6                   Build Date: Mon 09 Apr 2012 01:15:32 PM IST
Install Date: Wed 11 Apr 2012 12:26:55 PM IST      Build Host: vcsbuildrhel6x8664
Group       : Applications/System           Source RPM: VRTSvxfen-6.0.001.100-RP1P1_RHEL6.src.rpm
Size        : 5433256                          License: Symantec Proprietary
Signature   : (none)
Packager    : Enterprise_Support@symantec.com
URL         : http://www.symantec.com/business/support
Summary     : Veritas I/O Fencing by Symantec
Description :
Supported kernel(s): 2.6.32-71.el6.x86_64
Build Stamp        : Veritas-6.0.001.100-RP1P1-2012-04-08_23.44.39

4. Start vxfen:
# /etc/init.d/vxfen start

5. Start VCS:
# hastart


REMOVING THE PATCH
------------------
Perform the following steps on each node one at a time:

1. Stop VCS:
# hastop -local

2. Stop vxfen:
# /etc/init.d/vxfen stop

3. Uninstall VRTSvxfen package:
# rpm -ev VRTSvxfen

4. Install previous version of VRTSvxfen package.

5. Start vxfen:
# /etc/init.d/vxfen start

6. Start VCS:
# hastart


SPECIAL INSTRUCTIONS
--------------------
NONE


OTHERS
------
NONE
Read and accept Terms of Service